Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517308 - Images virtual size is unnecessarily big [NEEDINFO]
Summary: Images virtual size is unnecessarily big
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Build
Version: 5.9.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: cfme-future
Assignee: Satoe Imaishi
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 15:28 UTC by Jaroslav Henner
Modified: 2019-03-20 03:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Category: ---
Cloudforms Team: Openstack
simaishi: needinfo? (jhenner)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 977028 None CLOSED Root partition does not get resized to the available space 2019-01-10 16:51:02 UTC

Internal Links: 977028

Description Jaroslav Henner 2017-11-24 15:28:25 UTC
Description of problem:
The image virtual size is unnecessarily big, requiring big flavor to boot in openstack. Because the quemu image can be grown, but not shrink, it would be better to just use smaller virtual size and let the user grow the this if needed.

Version-Release number of selected component (if applicable):
cfme-rhos-5.9.0.9-1.x86_64.qcow2


How reproducible:
always


Steps to Reproduce:
qemu-img info /tmp/foo
image: /tmp/foo
file format: qcow2
virtual size: 40G (42949672960 bytes)
disk size: 1.1G


Actual results:


Expected results:
Disk size ~10 should be enough for everybody. If it is too small, it can be grown.

Additional info:

Comment 5 Dave Johnson 2017-12-07 15:09:11 UTC
Satoe, can you confirm how the image is packaged please?  It sounds like it is THIN if the image size is 1.1GB and the virtual size is 40GB, is that correct?  This smell like environmental issue.


Note You need to log in before you can comment on or make changes to this bug.